import type { TreeNode } from "src/types/treeView.types";
type TreeViewState = {
    checked: Set<string>;
    updateChecked: (checked: Set<string>) => void;
    indeterminate: Set<string>;
    updateIndeterminate: (indeterminate: Set<string>) => void;
    expanded: Set<string>;
    updateExpanded: (expanded: Set<string>) => void;
    initialTreeViewData: TreeNode[];
    updateInitialTreeViewData: (initialTreeViewData: TreeNode[]) => void;
    nodeMap: Map<string, TreeNode>;
    updateNodeMap: (nodeMap: Map<string, TreeNode>) => void;
    childToParentMap: Map<string, string>;
    updateChildToParentMap: (childToParentMap: Map<string, string>) => void;
    searchText: string;
    updatedSearchText: (searchText: string) => void;
    searchKeys: string[];
    updatedSearchKeys: (searchKeys: string[]) => void;
    innerMostChildrenIds: string[];
    updatedInnerMostChildrenIds: (innerMostChildrenIds: string[]) => void;
    cleanUpTreeViewStore: () => void;
};
export declare const useTreeViewStore: import("zustand").UseBoundStore<import("zustand").StoreApi<TreeViewState>>;
export {};
//# sourceMappingURL=treeView.store.d.ts.map